Bug 110644 - 500 Error assigning Item to abstract category
500 Error assigning Item to abstract category
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Seago
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-21 18:59 EST by Jon Orris
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-11-21 18:59:03 EST
Description of problem:
@38201

When creating a new category, choose 'No' for 'Can you place objects
in this category?'
Attempt to assign an item to this category.
Get a 500 error.

This should be replaced with an intelligble error message, or the
abstract categories should be removed from the category assignment widget.

As an asside, it is a bit confusing that when creating a category, one
is asked: 'Can you place objects in this category?' which when viewing
the category, corresponds to 'Is Abstract' property.


500 Servlet Exception
com.arsdigita.util.AssertionError: You cannot categorize an object within
an abstract category.  If you are seeing this message then your UI is
allowing
you to do something that you are not allowed to do and you should email
your site administrator.
	at com.arsdigita.util.Assert.falsity(Assert.java:145)
	at com.arsdigita.categorization.Category.addMapping(Category.java:815)
	at com.arsdigita.categorization.Category.addChild(Category.java:779)
	at com.arsdigita.cms.ContentItem.addCategory(ContentItem.java:1475)
	at com.arsdigita.cms.ContentItem.addCategory(ContentItem.java:1472)
	at
com.arsdigita.cms.ui.authoring.ItemCategoriesForm.assignCategory(ItemCategoriesForm.java:240)
	at
com.arsdigita.cms.ui.authoring.ItemCategoriesForm.process(ItemCategoriesForm.java:286)
Comment 1 Daniel Berrange 2003-11-24 05:34:44 EST
We'll need two different approaches for dealing with the category
assignment step. In the non-JS form, simply filtering out the abstract
categories should be sufficient. In the JavaScript tree, however, we
can't filter out the categories, because the abstract catgeories will
likely be the top level or two & thus if they are removed there would
be no way to navigate to the lower levels. So for the JS version, we'd
probably want to make them unclickable.

On a related note, I don't believe the assign categories step takes
any account of the 'isEnabled' property either.....Not that there is
any UI to set this yet see bug 110728 in FeatureZilla.
Comment 2 Jon Orris 2003-11-24 10:42:21 EST
Not a regression from Troika
Comment 3 Scott Seago 2004-01-21 22:02:41 EST
Dan's updated ItemCategoryStep resolves this problem.
Comment 4 David Lawrence 2006-07-17 22:42:26 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 5 Jon Orris 2006-09-05 13:26:24 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.